# Cilium debug information

#### Policy get

```
:
 [
  {
    "endpointSelector": {
      "matchLabels": {
        "any:kind": "client",
        "k8s:io.kubernetes.pod.namespace": "test-namespace"
      }
    },
    "egress": [
      {
        "toEndpoints": [
          {
            "matchExpressions": [
              {
                "key": "any:k8s-app",
                "operator": "In",
                "values": [
                  "kube-dns",
                  "coredns",
                  "node-local-dns",
                  "nodelocaldns"
                ]
              },
              {
                "key": "any:io.kubernetes.pod.namespace",
                "operator": "In",
                "values": [
                  "kube-system"
                ]
              }
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              },
              {
                "port": "53",
                "protocol": "TCP"
              }
            ],
            "rules": {
              "dns": [
                {
                  "matchPattern": "*"
                }
              ]
            }
          }
        ]
      },
      {
        "toEntities": [
          "world"
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              },
              {
                "port": "53",
                "protocol": "TCP"
              }
            ],
            "rules": {
              "dns": [
                {
                  "matchPattern": "*"
                }
              ]
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "client-egress-only-dns",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "test-namespace",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "5e7e38dd-b7f4-4e80-90ca-e12dabc081a7",
        "source": "k8s"
      }
    ]
  }
]
Revision: 118

```


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc0005ea070)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc001578420,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 1
    },
    readerWait: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 0
    }
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=8) {
  (k8s.ServiceID) test-namespace/echo-other-node: (*k8s.Service)(0xc001d43130)(frontends:[10.245.104.17]/ports=[http]/selector=map[name:echo-other-node]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc0001546e0)(frontends:[10.245.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0xc0001548f0)(frontends:[10.245.233.24]/ports=[peer-service]/selector=map[k8s-app:cilium]),
  (k8s.ServiceID) cert-manager/cert-manager-webhook: (*k8s.Service)(0xc000971b80)(frontends:[10.245.159.16]/ports=[https]/selector=map[app.kubernetes.io/component:webhook app.kubernetes.io/instance:cert-manager app.kubernetes.io/name:webhook]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc000971ce0)(frontends:[10.245.0.10]/ports=[dns dns-tcp metrics]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.Service)(0xc000971d90)(frontends:[10.245.36.5]/ports=[]/selector=map[k8s-app:hubble-relay]),
  (k8s.ServiceID) cert-manager/cert-manager: (*k8s.Service)(0xc000971e40)(frontends:[10.245.216.22]/ports=[tcp-prometheus-servicemonitor]/selector=map[app.kubernetes.io/component:controller app.kubernetes.io/instance:cert-manager app.kubernetes.io/name:cert-manager]),
  (k8s.ServiceID) test-namespace/echo-same-node: (*k8s.Service)(0xc001d42f20)(frontends:[10.245.116.167]/ports=[http]/selector=map[name:echo-same-node])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=8) {
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc0008062f0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc000fb5520)(172.18.0.2:6443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc000806308)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-92nw8": (*k8s.Endpoints)(0xc000fb5860)(10.244.0.176:53/TCP,10.244.0.176:53/UDP,10.244.0.176:9153/TCP,10.244.0.67:53/TCP,10.244.0.67:53/UDP,10.244.0.67:9153/TCP)
   }
  }),
  (k8s.ServiceID) cert-manager/cert-manager-webhook: (*k8s.EndpointSlices)(0xc000806310)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=26) "cert-manager-webhook-z5rqb": (*k8s.Endpoints)(0xc000fb5d40)(10.244.3.5:10250/TCP)
   }
  }),
  (k8s.ServiceID) test-namespace/echo-other-node: (*k8s.EndpointSlices)(0xc0007bbde8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=21) "echo-other-node-q4v7s": (*k8s.Endpoints)(0xc001098b60)(10.244.0.1:8080/TCP)
   }
  }),
  (k8s.ServiceID) cert-manager/cert-manager: (*k8s.EndpointSlices)(0xc000806320)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "cert-manager-gfs77": (*k8s.Endpoints)(0xc000fc2340)(10.244.3.238:9402/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0xc000806328)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-vd8ql": (*k8s.Endpoints)(0xc0010b7790)(172.18.0.2:4244/TCP,172.18.0.4:4244/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.EndpointSlices)(0xc000806330)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "hubble-relay-pzmlp": (*k8s.Endpoints)(0xc000fb5110)(10.244.3.166:4245/TCP)
   }
  }),
  (k8s.ServiceID) test-namespace/echo-same-node: (*k8s.EndpointSlices)(0xc001130bc8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "echo-same-node-vnt8l": (*k8s.Endpoints)(0xc001306ea0)(10.244.3.174:8080/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*linux.linuxNodeAddressing)(0x5e27790)({
  ipv6: (linux.addressFamilyIPv6) {
  },
  ipv4: (linux.addressFamilyIPv4) {
  }
 }),
 selfNodeZoneLabel: (string) "",
 ServiceMutators: ([]func(*v1.Service, *k8s.Service)) <nil>
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### Kernel version

```
6.2.0
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.19 (v1.19.11) [linux/amd64]
Kubernetes APIs:        ["EndpointSliceOrEndpoint", "cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "cilium/v2alpha1::CiliumCIDRGroup", "core/v1::Namespace", "core/v1::Pods", "core/v1::Service", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Disabled   
Host firewall:          Disabled
CNI Chaining:           none
Cilium:                 Ok   1.14.2 (v1.14.2-a6748946)
NodeMonitor:            Listening for events on 4 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 6/254 allocated from 10.244.0.0/24, 
Allocated addresses:
  10.244.0.1 (test-namespace/echo-other-node-84f6c7f6-628wf)
  10.244.0.14 (router)
  10.244.0.176 (kube-system/coredns-f9fd979d6-lxw5r [restored])
  10.244.0.192 (health)
  10.244.0.67 (kube-system/coredns-f9fd979d6-v4h25 [restored])
  10.244.0.68 (local-path-storage/local-path-provisioner-547f784dff-dw5xx [restored])
IPv4 BIG TCP:           Disabled
IPv6 BIG TCP:           Disabled
BandwidthManager:       Disabled
Host Routing:           Legacy
Masquerading:           IPTables [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   ktime
Controller Status:      40/40 healthy
  Name                                          Last success   Last error   Count   Message
  bpf-map-sync-cilium_lxc                       7s ago         never        0       no error   
  cilium-health-ep                              46s ago        never        0       no error   
  dns-garbage-collector-job                     51s ago        never        0       no error   
  endpoint-269-regeneration-recovery            never          never        0       no error   
  endpoint-3368-regeneration-recovery           never          never        0       no error   
  endpoint-36-regeneration-recovery             never          never        0       no error   
  endpoint-50-regeneration-recovery             never          never        0       no error   
  endpoint-538-regeneration-recovery            never          never        0       no error   
  endpoint-72-regeneration-recovery             never          never        0       no error   
  endpoint-gc                                   3m51s ago      never        0       no error   
  ipcache-inject-labels                         47s ago        13m49s ago   0       no error   
  k8s-heartbeat                                 21s ago        never        0       no error   
  link-cache                                    8s ago         never        0       no error   
  metricsmap-bpf-prom-sync                      5s ago         never        0       no error   
  resolve-identity-269                          2m18s ago      never        0       no error   
  resolve-identity-72                           3m46s ago      never        0       no error   
  restoring-ep-identity (3368)                  13m47s ago     never        0       no error   
  restoring-ep-identity (36)                    13m47s ago     never        0       no error   
  restoring-ep-identity (50)                    13m47s ago     never        0       no error   
  restoring-ep-identity (538)                   13m47s ago     never        0       no error   
  sync-host-ips                                 47s ago        never        0       no error   
  sync-lb-maps-with-k8s-services                13m47s ago     never        0       no error   
  sync-policymap-269                            44s ago        never        0       no error   
  sync-policymap-3368                           52s ago        never        0       no error   
  sync-policymap-36                             52s ago        never        0       no error   
  sync-policymap-50                             52s ago        never        0       no error   
  sync-policymap-538                            52s ago        never        0       no error   
  sync-policymap-72                             52s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (269)              8s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (3368)             7s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (36)               7s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (50)               7s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (538)              7s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (72)               6s ago         never        0       no error   
  sync-utime                                    47s ago        never        0       no error   
  template-dir-watcher                          never          never        0       no error   
  waiting-initial-global-identities-ep (3368)   13m47s ago     never        0       no error   
  waiting-initial-global-identities-ep (36)     13m47s ago     never        0       no error   
  waiting-initial-global-identities-ep (538)    13m47s ago     never        0       no error   
  write-cni-file                                13m51s ago     never        0       no error   
Proxy Status:            OK, ip 10.244.0.14, 0 redirects active on ports 10000-20000, Envoy: embedded
Global Identity Range:   min 256, max 65535
Hubble:                  Ok   Current/Max Flows: 4095/4095 (100.00%), Flows/s: 22.47   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 Disabled
  Socket LB:              Disabled
  Socket LB Tracing:      Disabled
  Socket LB Coverage:     Full
  Session Affinity:       Disabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Disabled 
  - LoadBalancer:   Disabled 
  - externalIPs:    Disabled 
  - HostPort:       Disabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Auth                          524288
  Non-TCP connection tracking   73499
  TCP connection tracking       146998
  Endpoint policy               65535
  IP cache                      512000
  IPv4 masquerading agent       16384
  IPv6 masquerading agent       16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           146998
  Neighbor table                146998
  Global policy                 16384
  Session affinity              65536
  Sock reverse NAT              73499
  Tunnel                        65536
Encryption:   IPsec   
```

#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                                                      IPv6   IPv4           STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                                         
36         Disabled           Disabled          7679       k8s:io.cilium.k8s.policy.cluster=kind-chart-testing                                     10.244.0.176   ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=coredns                                                                
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                    
                                                           k8s:k8s-app=kube-dns                                                                                           
50         Disabled           Disabled          1          k8s:node-role.kubernetes.io/master                                                                     ready   
                                                           reserved:host                                                                                                  
72         Disabled           Disabled          4          reserved:health                                                                         10.244.0.192   ready   
269        Disabled           Disabled          23666      k8s:first=echo                                                                          10.244.0.1     ready   
                                                           k8s:io.cilium.k8s.policy.cluster=kind-chart-testing                                                            
                                                           k8s:io.cilium.k8s.policy.serviceaccount=echo-other-node                                                        
                                                           k8s:io.kubernetes.pod.namespace=test-namespace                                                                 
                                                           k8s:kind=echo                                                                                                  
                                                           k8s:name=echo-other-node                                                                                       
538        Disabled           Disabled          7679       k8s:io.cilium.k8s.policy.cluster=kind-chart-testing                                     10.244.0.67    ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=coredns                                                                
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                                    
                                                           k8s:k8s-app=kube-dns                                                                                           
3368       Disabled           Disabled          57268      k8s:app=local-path-provisioner                                                          10.244.0.68    ready   
                                                           k8s:io.cilium.k8s.policy.cluster=kind-chart-testing                                                            
                                                           k8s:io.cilium.k8s.policy.serviceaccount=local-path-provisioner-service-account                                 
                                                           k8s:io.kubernetes.pod.namespace=local-path-storage                                                             
```

#### BPF Policy Get 36

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES    PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    48143    453       0        
Allow    Ingress     1          ANY          NONE         disabled    181290   2063      0        
Allow    Egress      0          ANY          NONE         disabled    237246   3287      0        

```


#### BPF CT List 36

```
Invalid argument: unknown type 36
```


#### Endpoint Get 36

```
[
  {
    "id": 36,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-36-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "cf55a2d2-01ca-42a6-8cf9-ab83607d75e7"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (36)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:27:45.725Z",
            "success-count": 1
          },
          "uuid": "c10d8a13-74c6-4302-bc91-7c1601fa1477"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-36",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:40:41.157Z",
            "success-count": 23
          },
          "uuid": "1ccc6646-2890-4bd2-8f09-78d329263538"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (36)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:41:25.439Z",
            "success-count": 83
          },
          "uuid": "824793f1-6892-43cc-833c-e8e86d47a489"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "waiting-initial-global-identities-ep (36)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:27:45.725Z",
            "success-count": 1
          },
          "uuid": "ec265356-73d9-491c-a95d-257a773b5d7d"
        }
      ],
      "external-identifiers": {
        "container-id": "2c23e669be363709cf5a2ef4f38e93a3e28faf9273804dc5ff07a38b15557889",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "coredns-f9fd979d6-lxw5r",
        "pod-name": "kube-system/coredns-f9fd979d6-lxw5r"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 7679,
        "labels": [
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=kube-dns",
          "k8s:io.cilium.k8s.policy.cluster=kind-chart-testing"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=f9fd979d6"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=kind-chart-testing",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=kube-dns"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-11-14T01:38:41Z"
        }
      ],
      "namedPorts": [
        {
          "name": "dns",
          "port": 53,
          "protocol": "UDP"
        },
        {
          "name": "dns-tcp",
          "port": 53,
          "protocol": "TCP"
        },
        {
          "name": "metrics",
          "port": 9153,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.244.0.176",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "62:49:29:71:06:88",
        "interface-index": 11,
        "interface-name": "lxcdefef7452c6c",
        "mac": "de:96:3b:db:63:4d"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 118,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 7679,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 118
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 99,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 7679,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 99
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 36

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 36

```
Timestamp              Status   State                   Message
2023-11-14T01:38:41Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:41Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:41Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:41Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2023-11-14T01:38:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:31Z   OK       regenerating            Regenerating endpoint: 
2023-11-14T01:38:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2023-11-14T01:38:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:30Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:29Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:29Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:29Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:29Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:18Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:18Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:18Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:18Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:34Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:23Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:22Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:13Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:13Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:13Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:13Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:27:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: syncing state to host)
2023-11-14T01:27:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:27:50Z   OK       regenerating            Regenerating endpoint: syncing state to host
2023-11-14T01:27:45Z   OK       restoring               Synchronizing endpoint labels with KVStore
2023-11-14T01:27:43Z   OK       restoring               Restoring endpoint from previous cilium instance
2023-11-14T01:27:42Z   OK       restoring               Endpoint restoring

```


#### Identity get 7679

```
ID     LABELS
7679   k8s:io.cilium.k8s.policy.cluster=kind-chart-testing
       k8s:io.cilium.k8s.policy.serviceaccount=coredns
       k8s:io.kubernetes.pod.namespace=kube-system
       k8s:k8s-app=kube-dns

```


#### BPF Policy Get 50

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES   PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    0       0         0        
Allow    Egress      0          ANY          NONE         disabled    0       0         0        

```


#### BPF CT List 50

```
Invalid argument: unknown type 50
```


#### Endpoint Get 50

```
[
  {
    "id": 50,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-50-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "6396a368-a046-4e0d-b9ef-4ec2f95c8c32"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (50)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:27:45.380Z",
            "success-count": 1
          },
          "uuid": "678ad74f-4378-416f-bde7-7c9d5c4ada41"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-50",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:40:41.157Z",
            "success-count": 23
          },
          "uuid": "67ee713d-e174-4d82-a2e3-ad39c97bcdd5"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (50)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:41:25.428Z",
            "success-count": 83
          },
          "uuid": "10c10f07-d47a-481a-8d84-23851aa58f6b"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "reserved:host",
          "k8s:node-role.kubernetes.io/master"
        ]
      },
      "labels": {
        "derived": [
          "k8s:node-role.kubernetes.io/master",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:node-role.kubernetes.io/master",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-11-14T01:38:41Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "da:f4:96:70:7b:c6",
        "interface-name": "cilium_host",
        "mac": "da:f4:96:70:7b:c6"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 118,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 118
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 99,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 99
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 50

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 50

```
Timestamp              Status   State                   Message
2023-11-14T01:38:41Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:41Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:41Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:41Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2023-11-14T01:38:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:31Z   OK       regenerating            Regenerating endpoint: 
2023-11-14T01:38:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2023-11-14T01:38:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:30Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:29Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:29Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:29Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:29Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:18Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:18Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:18Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:18Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:34Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:23Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:22Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:13Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:13Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:13Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:13Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:27:45Z   OK       ready                   Successfully regenerated endpoint program (Reason: syncing state to host)
2023-11-14T01:27:45Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:27:45Z   OK       regenerating            Regenerating endpoint: syncing state to host
2023-11-14T01:27:45Z   OK       restoring               Synchronizing endpoint labels with KVStore
2023-11-14T01:27:43Z   OK       restoring               Restoring endpoint from previous cilium instance
2023-11-14T01:27:42Z   OK       restoring               Endpoint restoring

```


#### Identity get 1

```
ID   LABELS
1    reserved:host
     reserved:kube-apiserver

```


#### BPF Policy Get 72

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES   PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    7534    94        0        
Allow    Ingress     1          ANY          NONE         disabled    11278   129       0        
Allow    Egress      0          ANY          NONE         disabled    0       0         0        

```


#### BPF CT List 72

```
Invalid argument: unknown type 72
```


#### Endpoint Get 72

```
[
  {
    "id": 72,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-72-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "9e51a5ef-855d-4d7d-a01d-b24e08729b25"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-72",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:37:46.759Z",
            "success-count": 3
          },
          "uuid": "f3978303-9e48-48de-9971-c698230351f8"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-72",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:40:41.157Z",
            "success-count": 23
          },
          "uuid": "ba67e0f9-a466-4560-b14a-652ea243c3d0"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (72)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:41:26.809Z",
            "success-count": 84
          },
          "uuid": "709fc90c-dddd-4dde-aa3a-47819de0090e"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ]
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-11-14T01:38:41Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.244.0.192",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "b2:a5:5b:00:19:9c",
        "interface-index": 27,
        "interface-name": "lxc_health",
        "mac": "ae:3f:78:6b:06:04"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 118,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 118
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 99,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 99
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 72

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 72

```
Timestamp              Status   State                   Message
2023-11-14T01:38:41Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:41Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:41Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:41Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2023-11-14T01:38:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:31Z   OK       regenerating            Regenerating endpoint: 
2023-11-14T01:38:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2023-11-14T01:38:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:30Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:29Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:29Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:29Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:29Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:18Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:18Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:18Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:18Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:34Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:23Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:22Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:13Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:13Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:13Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:13Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:27:46Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-11-14T01:27:46Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:27:46Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-11-14T01:27:46Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-11-14T01:27:46Z   OK       ready                   Set identity for this endpoint
2023-11-14T01:27:45Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 269

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES    PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    2476     30        0        
Allow    Ingress     1          ANY          NONE         disabled    850578   10148     0        
Allow    Egress      0          ANY          NONE         disabled    0        0         0        

```


#### BPF CT List 269

```
Invalid argument: unknown type 269
```


#### Endpoint Get 269

```
[
  {
    "id": 269,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-269-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "93f8dccf-debf-4f22-a737-90b8c41e5503"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-269",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:39:14.879Z",
            "success-count": 3
          },
          "uuid": "ea516f4a-06d6-437c-8884-c6124cb2aa28"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-269",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:40:48.717Z",
            "success-count": 77
          },
          "uuid": "7d0112ba-eff9-48bf-acf6-dc7a2217bfc4"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (269)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:41:24.937Z",
            "success-count": 75
          },
          "uuid": "477241ee-cbe6-433a-ba2e-f8d0b7878832"
        }
      ],
      "external-identifiers": {
        "container-id": "ab69034ad2c17f37b8f4e0fdc7048031a424165c82b00790a1f378f184f9c60b",
        "k8s-namespace": "test-namespace",
        "k8s-pod-name": "echo-other-node-84f6c7f6-628wf",
        "pod-name": "test-namespace/echo-other-node-84f6c7f6-628wf"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 23666,
        "labels": [
          "k8s:first=echo",
          "k8s:io.kubernetes.pod.namespace=test-namespace",
          "k8s:io.cilium.k8s.policy.serviceaccount=echo-other-node",
          "k8s:io.cilium.k8s.policy.cluster=kind-chart-testing",
          "k8s:kind=echo",
          "k8s:name=echo-other-node"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=84f6c7f6"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:first=echo",
          "k8s:io.cilium.k8s.policy.cluster=kind-chart-testing",
          "k8s:io.cilium.k8s.policy.serviceaccount=echo-other-node",
          "k8s:io.kubernetes.pod.namespace=test-namespace",
          "k8s:kind=echo",
          "k8s:name=echo-other-node"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: policy rules added)",
          "state": "ready",
          "timestamp": "2023-11-14T01:39:48Z"
        }
      ],
      "namedPorts": [
        {
          "name": "dns-53",
          "port": 53,
          "protocol": "TCP"
        },
        {
          "name": "dns-udp-53",
          "port": 53,
          "protocol": "UDP"
        },
        {
          "name": "http-8080",
          "port": 8080,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.244.0.1",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "c6:40:7d:5c:ed:a0",
        "interface-index": 29,
        "interface-name": "lxc54035759105d",
        "mac": "36:59:63:68:4c:3b"
      },
      "policy": {
        "proxy-policy-revision": 105,
        "proxy-statistics": [
          {
            "location": "ingress",
            "port": 8080,
            "protocol": "http",
            "statistics": {
              "requests": {
                "denied": 2,
                "forwarded": 7,
                "received": 9
              },
              "responses": {
                "forwarded": 9,
                "received": 9
              }
            }
          }
        ],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 118,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 23666,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 118
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 105,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 23666,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 105
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 269

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 269

```
Timestamp              Status   State                   Message
2023-11-14T01:39:48Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:39:48Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:39:48Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:39:48Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:39:19Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:39:19Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:39:19Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:39:19Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:39:18Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:39:18Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:39:18Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:39:18Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:38:49Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:38:49Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:49Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:38:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:38:49Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:38:49Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:49Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:38:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:38:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:38:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:47Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:38:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:38:41Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:41Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:41Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:41Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2023-11-14T01:38:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:31Z   OK       regenerating            Regenerating endpoint: 
2023-11-14T01:38:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2023-11-14T01:38:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:30Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:29Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:38:29Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:29Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:38:29Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:38:29Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:29Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:29Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:29Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:18Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:18Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:18Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:18Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:38:18Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:18Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:38:18Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:38:17Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:38:17Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:17Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:38:17Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:38:16Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:38:16Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:38:16Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:38:10Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:38:10Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:10Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:38:10Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:38:10Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:38:10Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:38:10Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:38:10Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:38:10Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:10Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:38:10Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:38:09Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:38:09Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:38:09Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:37:58Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:58Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:58Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:56Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:56Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:37:56Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:56Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:56Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:56Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:56Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:44Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:44Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:37:44Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:44Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:44Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:44Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:44Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:42Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:42Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:37:42Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:42Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:42Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to policy rules added
2023-11-14T01:37:42Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:42Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:42Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:37:31Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:31Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:31Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to policy rules added
2023-11-14T01:37:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:31Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:29Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:29Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:37:29Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:29Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:29Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:29Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:29Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:14Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:14Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:37:14Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:14Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:14Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:14Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:14Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:13Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:13Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:37:13Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:13Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:37:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:37:12Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:37:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:36:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:36:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:51Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:36:51Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:36:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:36:51Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:36:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:36:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:36:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:50Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:36:50Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:36:50Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to policy rules added
2023-11-14T01:36:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:36:50Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:36:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:36:35Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:36:35Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:35Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:36:35Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:36:34Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to policy rules added
2023-11-14T01:36:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:36:34Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:36:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:36:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:34Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:36:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:33Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:36:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:36:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:36:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:32Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:36:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:36:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:23Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:22Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:13Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:13Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:13Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:13Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:34:45Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:34:45Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:34:45Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:34:45Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:34:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:34:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:34:33Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:34:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:34:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:34:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:34:32Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:34:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:34:27Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:34:27Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:34:27Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:34:27Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:34:27Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:34:27Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:34:27Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:34:27Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:34:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:34:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:34:15Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:34:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:34:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:34:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:34:15Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:34:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:34:07Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:34:07Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:34:07Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:34:07Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:34:07Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:34:07Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:34:07Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:34:07Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:34:02Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:34:02Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:34:02Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:34:02Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:34:02Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:34:02Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:34:02Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:34:02Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:33:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:33:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:33:40Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:33:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:33:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:33:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:33:39Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:33:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:32:56Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:32:56Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:32:56Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:32:56Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:32:56Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:32:56Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:32:55Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:32:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:32:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:32:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:32:12Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:32:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:32:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:32:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:32:11Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-11-14T01:32:11Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-11-14T01:31:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-11-14T01:31:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:31:51Z   OK       regenerating            Regenerating endpoint: policy rules added

```


#### Identity get 23666

```
ID      LABELS
23666   k8s:first=echo
        k8s:io.cilium.k8s.policy.cluster=kind-chart-testing
        k8s:io.cilium.k8s.policy.serviceaccount=echo-other-node
        k8s:io.kubernetes.pod.namespace=test-namespace
        k8s:kind=echo
        k8s:name=echo-other-node

```


#### BPF Policy Get 538

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES    PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    46957    437       0        
Allow    Ingress     1          ANY          NONE         disabled    180540   2057      0        
Allow    Egress      0          ANY          NONE         disabled    237931   3297      0        

```


#### BPF CT List 538

```
Invalid argument: unknown type 538
```


#### Endpoint Get 538

```
[
  {
    "id": 538,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-538-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "ec108253-b3ff-44cb-9cc5-74f1dbeffb97"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (538)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:27:45.725Z",
            "success-count": 1
          },
          "uuid": "4ef8ae6d-532a-485d-ba1a-4da5102bba84"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-538",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:40:41.158Z",
            "success-count": 23
          },
          "uuid": "cbb8764c-6750-459b-950b-1235ca7a5a41"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (538)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:41:25.439Z",
            "success-count": 83
          },
          "uuid": "17f2e1aa-954d-405d-9ac4-6179727c64b3"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "waiting-initial-global-identities-ep (538)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:27:45.725Z",
            "success-count": 1
          },
          "uuid": "feff4401-ba6b-43a6-af5d-e9e517472c94"
        }
      ],
      "external-identifiers": {
        "container-id": "48dc4fe93aab98b8dcddd6ecf2a5c56630b2d6705a15fbb33966a5108c9e904b",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "coredns-f9fd979d6-v4h25",
        "pod-name": "kube-system/coredns-f9fd979d6-v4h25"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 7679,
        "labels": [
          "k8s:k8s-app=kube-dns",
          "k8s:io.cilium.k8s.policy.cluster=kind-chart-testing",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.kubernetes.pod.namespace=kube-system"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=f9fd979d6"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=kind-chart-testing",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=kube-dns"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-11-14T01:38:41Z"
        }
      ],
      "namedPorts": [
        {
          "name": "dns",
          "port": 53,
          "protocol": "UDP"
        },
        {
          "name": "dns-tcp",
          "port": 53,
          "protocol": "TCP"
        },
        {
          "name": "metrics",
          "port": 9153,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.244.0.67",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "7e:61:8d:c6:ad:19",
        "interface-index": 9,
        "interface-name": "lxcb3dfa018858e",
        "mac": "7a:ec:14:0a:31:e1"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 118,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 7679,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 118
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 99,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 7679,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 99
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 538

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 538

```
Timestamp              Status   State                   Message
2023-11-14T01:38:41Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:41Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:41Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:41Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2023-11-14T01:38:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:31Z   OK       regenerating            Regenerating endpoint: 
2023-11-14T01:38:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2023-11-14T01:38:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:30Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:29Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:29Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:29Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:29Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:18Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:18Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:18Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:18Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:34Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:23Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:22Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:13Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:13Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:13Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:13Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:27:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: syncing state to host)
2023-11-14T01:27:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:27:50Z   OK       regenerating            Regenerating endpoint: syncing state to host
2023-11-14T01:27:45Z   OK       restoring               Synchronizing endpoint labels with KVStore
2023-11-14T01:27:43Z   OK       restoring               Restoring endpoint from previous cilium instance
2023-11-14T01:27:42Z   OK       restoring               Endpoint restoring

```


#### Identity get 7679

```
ID     LABELS
7679   k8s:io.cilium.k8s.policy.cluster=kind-chart-testing
       k8s:io.cilium.k8s.policy.serviceaccount=coredns
       k8s:io.kubernetes.pod.namespace=kube-system
       k8s:k8s-app=kube-dns

```


#### BPF Policy Get 3368

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES     PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    0         0         0        
Allow    Ingress     1          ANY          NONE         disabled    0         0         0        
Allow    Egress      0          ANY          NONE         disabled    1347449   6344      0        

```


#### BPF CT List 3368

```
Invalid argument: unknown type 3368
```


#### Endpoint Get 3368

```
[
  {
    "id": 3368,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-3368-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "1a3c6b4f-c18f-493d-8854-e43e32487397"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "restoring-ep-identity (3368)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:27:45.725Z",
            "success-count": 1
          },
          "uuid": "6c63e212-53fa-432b-9f40-81189c7e0e45"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-3368",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:40:41.157Z",
            "success-count": 23
          },
          "uuid": "c9b8bb7f-a525-41a6-8558-599e3598b647"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (3368)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:41:25.434Z",
            "success-count": 83
          },
          "uuid": "93f31462-66fb-4828-b119-70ce4d9f3cd8"
        },
        {
          "configuration": {
            "error-retry": true
          },
          "name": "waiting-initial-global-identities-ep (3368)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-11-14T01:27:45.725Z",
            "success-count": 1
          },
          "uuid": "5ca2c5fd-6621-4234-b7d5-f618a1fe2080"
        }
      ],
      "external-identifiers": {
        "container-id": "7227d25e7b148aa2407166be0de99c9b5ab32f16f8a973ced896f59dd0dda5de",
        "k8s-namespace": "local-path-storage",
        "k8s-pod-name": "local-path-provisioner-547f784dff-dw5xx",
        "pod-name": "local-path-storage/local-path-provisioner-547f784dff-dw5xx"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 57268,
        "labels": [
          "k8s:io.kubernetes.pod.namespace=local-path-storage",
          "k8s:app=local-path-provisioner",
          "k8s:io.cilium.k8s.policy.cluster=kind-chart-testing",
          "k8s:io.cilium.k8s.policy.serviceaccount=local-path-provisioner-service-account"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=547f784dff"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:app=local-path-provisioner",
          "k8s:io.cilium.k8s.policy.cluster=kind-chart-testing",
          "k8s:io.cilium.k8s.policy.serviceaccount=local-path-provisioner-service-account",
          "k8s:io.kubernetes.pod.namespace=local-path-storage"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-11-14T01:38:41Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.244.0.68",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "52:a9:f0:f6:38:a5",
        "interface-index": 13,
        "interface-name": "lxc7559e6dd50a8",
        "mac": "7a:14:86:90:e8:27"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 118,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 57268,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 118
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 99,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 57268,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 99
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 3368

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 3368

```
Timestamp              Status   State                   Message
2023-11-14T01:38:41Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:41Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:41Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:41Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2023-11-14T01:38:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:31Z   OK       regenerating            Regenerating endpoint: 
2023-11-14T01:38:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2023-11-14T01:38:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:30Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:29Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:29Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:29Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:29Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:38:18Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:38:18Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:38:18Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:38:18Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:34Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:23Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:22Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:22Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:22Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:22Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:36:13Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-11-14T01:36:13Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:36:13Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-11-14T01:36:13Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-11-14T01:27:46Z   OK       ready                   Successfully regenerated endpoint program (Reason: syncing state to host)
2023-11-14T01:27:46Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-11-14T01:27:45Z   OK       regenerating            Regenerating endpoint: syncing state to host
2023-11-14T01:27:45Z   OK       restoring               Synchronizing endpoint labels with KVStore
2023-11-14T01:27:43Z   OK       restoring               Restoring endpoint from previous cilium instance
2023-11-14T01:27:42Z   OK       restoring               Endpoint restoring

```


#### Identity get 57268

```
ID      LABELS
57268   k8s:app=local-path-provisioner
        k8s:io.cilium.k8s.policy.cluster=kind-chart-testing
        k8s:io.cilium.k8s.policy.serviceaccount=local-path-provisioner-service-account
        k8s:io.kubernetes.pod.namespace=local-path-storage

```


#### Service list

```
ID   Frontend              Service Type   Backend                           
1    10.245.0.1:443        ClusterIP      1 => 172.18.0.2:6443 (active)     
2    10.245.0.10:53        ClusterIP      1 => 10.244.0.176:53 (active)     
                                          2 => 10.244.0.67:53 (active)      
3    10.245.0.10:9153      ClusterIP      1 => 10.244.0.176:9153 (active)   
                                          2 => 10.244.0.67:9153 (active)    
7    10.245.216.22:9402    ClusterIP      1 => 10.244.3.238:9402 (active)   
8    10.245.159.16:443     ClusterIP      1 => 10.244.3.5:10250 (active)    
16   10.245.233.24:443     ClusterIP      1 => 172.18.0.4:4244 (active)     
                                          2 => 172.18.0.2:4244 (active)     
17   10.245.36.5:80        ClusterIP      1 => 10.244.3.166:4245 (active)   
18   10.245.116.167:8080   ClusterIP      1 => 10.244.3.174:8080 (active)   
19   10.245.104.17:8080    ClusterIP      1 => 10.244.0.1:8080 (active)     
```

#### Cilium version

```
1.14.2 a6748946 2023-09-09T20:59:33+00:00 go version go1.20.8 linux/amd64
```


#### Cilium environment keys

```
enable-cilium-api-server-access:
bpf-lb-sock-hostns-only:false
install-no-conntrack-iptables-rules:false
egress-gateway-policy-map-max:16384
fqdn-regex-compile-lru-size:1024
sidecar-istio-proxy-image:cilium/istio_proxy
endpoint-gc-interval:5m0s
tofqdns-min-ttl:0
enable-tracing:false
identity-heartbeat-timeout:30m0s
keep-config:false
enable-sctp:false
node-port-mode:snat
identity-allocation-mode:crd
vtep-mask:
cmdref:
enable-envoy-config:false
kube-proxy-replacement:disabled
prometheus-serve-addr::9962
preallocate-bpf-maps:false
bpf-auth-map-max:524288
enable-l7-proxy:true
ipv6-mcast-device:
enable-bbr:false
hubble-event-buffer-capacity:4095
hubble-listen-address::4244
external-envoy-proxy:false
endpoint-status:
kvstore-max-consecutive-quorum-errors:2
install-egress-gateway-routes:false
bpf-lb-mode:snat
hubble-socket-path:/var/run/cilium/hubble.sock
enable-host-firewall:false
monitor-queue-size:0
local-router-ipv6:
direct-routing-device:
auto-direct-node-routes:false
exclude-local-address:
iptables-lock-timeout:5s
config-sources:config-map:kube-system/cilium-config
remove-cilium-node-taints:true
enable-hubble:true
bpf-lb-rev-nat-map-max:0
kvstore-periodic-sync:5m0s
dnsproxy-concurrency-processing-grace-period:0s
enable-k8s-event-handover:false
agent-health-port:9879
enable-auto-protect-node-port-range:true
enable-ipv4:true
local-max-addr-scope:252
bpf-map-event-buffers:
mtu:0
vtep-mac:
bpf-ct-timeout-regular-tcp-fin:10s
bgp-announce-pod-cidr:false
enable-remote-node-identity:true
tofqdns-max-deferred-connection-deletes:10000
kvstore-opt:
config:
ipv4-service-range:auto
kvstore-connectivity-timeout:2m0s
node-port-range:
ipsec-key-file:/etc/ipsec/keys
enable-ipv6:false
cgroup-root:/run/cilium/cgroupv2
route-metric:0
conntrack-gc-interval:0s
use-cilium-internal-ip-for-ipsec:false
hubble-export-file-compress:false
tofqdns-idle-connection-grace-period:0s
agent-liveness-update-interval:1s
enable-srv6:false
kvstore-lease-ttl:15m0s
ipam-multi-pool-pre-allocation:default=8
envoy-log:
ip-masq-agent-config-path:/etc/config/ip-masq-agent
identity-gc-interval:15m0s
mesh-auth-spiffe-trust-domain:spiffe.cilium
ipv4-pod-subnets:
enable-bgp-control-plane:false
srv6-encap-mode:reduced
tofqdns-proxy-port:0
iptables-random-fully:false
lib-dir:/var/lib/cilium
cni-chaining-target:
allow-icmp-frag-needed:true
proxy-max-connection-duration-seconds:0
ipv6-cluster-alloc-cidr:f00d::/64
enable-session-affinity:false
gops-port:9890
mesh-auth-queue-size:1024
monitor-aggregation-flags:all
enable-high-scale-ipcache:false
hubble-disable-tls:false
tunnel-port:0
cluster-name:kind-chart-testing
http-retry-count:3
bpf-lb-maglev-map-max:0
cilium-endpoint-gc-interval:5m0s
l2-pod-announcements-interface:
cni-exclusive:true
tofqdns-dns-reject-response-code:refused
identity-restore-grace-period:10m0s
enable-service-topology:false
enable-l2-pod-announcements:false
bpf-map-dynamic-size-ratio:0.0025
ipv4-node:auto
read-cni-conf:
cni-log-file:/var/run/cilium/cilium-cni.log
enable-ipv6-ndp:false
cnp-node-status-gc-interval:0s
policy-queue-size:100
hubble-metrics:
enable-ipsec-key-watcher:true
enable-policy:default
bpf-lb-service-map-max:0
cni-chaining-mode:none
hubble-skip-unknown-cgroup-ids:true
allocator-list-timeout:3m0s
k8s-api-server:
hubble-metrics-server:
monitor-aggregation-interval:5s
enable-cilium-endpoint-slice:false
bpf-lb-rss-ipv4-src-cidr:
enable-l2-neigh-discovery:true
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
dns-policy-unload-on-shutdown:false
enable-l2-announcements:false
k8s-heartbeat-timeout:30s
http-retry-timeout:0
unmanaged-pod-watcher-interval:15
clustermesh-config:/var/lib/cilium/clustermesh/
custom-cni-conf:false
envoy-config-timeout:2m0s
bpf-ct-timeout-regular-any:1m0s
set-cilium-is-up-condition:true
enable-vtep:false
enable-runtime-device-detection:false
hubble-export-file-path:
http-max-grpc-timeout:0
bgp-announce-lb-ip:false
bpf-nat-global-max:524288
bpf-lb-algorithm:random
proxy-max-requests-per-connection:0
mesh-auth-gc-interval:5m0s
enable-xt-socket-fallback:true
k8s-namespace:kube-system
bpf-lb-source-range-map-max:0
bpf-lb-dev-ip-addr-inherit:
install-iptables-rules:true
cflags:
enable-k8s-endpoint-slice:true
ipv6-node:auto
bpf-lb-maglev-table-size:16381
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
bpf-root:/sys/fs/bpf
tofqdns-enable-dns-compression:true
datapath-mode:veth
enable-k8s-api-discovery:false
monitor-aggregation:medium
enable-unreachable-routes:false
http-403-msg:
enable-ipv6-masquerade:true
enable-pmtu-discovery:false
k8s-service-proxy-name:
enable-wireguard-userspace-fallback:false
hubble-export-file-max-size-mb:10
ipam:kubernetes
annotate-k8s-node:false
enable-ipv4-big-tcp:false
bpf-ct-timeout-service-any:1m0s
local-router-ipv4:
mke-cgroup-mount:
enable-wireguard:false
enable-local-node-route:true
set-cilium-node-taints:true
enable-ipv4-fragment-tracking:true
enable-ip-masq-agent:false
disable-envoy-version-check:false
enable-bandwidth-manager:false
bpf-lb-sock:false
bgp-config-path:/var/lib/cilium/bgp/config.yaml
disable-endpoint-crd:false
dnsproxy-lock-count:128
pprof:false
enable-ipv6-big-tcp:false
operator-api-serve-addr:127.0.0.1:9234
bpf-ct-timeout-regular-tcp:6h0m0s
bpf-fragments-map-max:8192
agent-not-ready-taint-key:node.cilium.io/agent-not-ready
max-controller-interval:0
ipsec-key-rotation-duration:5m
http-normalize-path:true
socket-path:/var/run/cilium/cilium.sock
labels:
enable-endpoint-health-checking:true
cluster-id:0
enable-mke:false
enable-endpoint-routes:false
bpf-ct-timeout-service-tcp:6h0m0s
cluster-health-port:4240
auto-create-cilium-node-resource:true
enable-health-check-nodeport:true
devices:
dns-max-ips-per-restored-rule:1000
encrypt-node:false
encrypt-interface:
policy-audit-mode:false
l2-announcements-lease-duration:15s
vlan-bpf-bypass:
metrics:
enable-nat46x64-gateway:false
proxy-connect-timeout:2
enable-bpf-masquerade:false
dnsproxy-concurrency-limit:0
mesh-auth-enabled:true
egress-masquerade-interfaces:
tofqdns-proxy-response-max-delay:100ms
enable-ipv4-masquerade:true
fixed-identity-mapping:
bpf-lb-acceleration:disabled
node-port-algorithm:random
write-cni-conf-when-ready:/host/etc/cni/net.d/05-cilium.conflist
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
k8s-require-ipv4-pod-cidr:false
tunnel:
enable-k8s-networkpolicy:true
tofqdns-endpoint-max-ip-per-hostname:50
enable-svc-source-range-check:true
enable-ipv4-egress-gateway:false
k8s-kubeconfig-path:
ipv6-pod-subnets:
bpf-lb-external-clusterip:false
hubble-export-file-max-backups:5
mesh-auth-spire-admin-socket:
join-cluster:false
bpf-lb-dsr-dispatch:opt
log-driver:
routing-mode:tunnel
enable-bpf-tproxy:false
enable-icmp-rules:true
egress-gateway-reconciliation-trigger-interval:1s
bpf-sock-rev-map-max:262144
enable-health-checking:true
l2-announcements-renew-deadline:5s
node-encryption-opt-out-labels:node-role.kubernetes.io/control-plane
ipv4-range:auto
restore:true
enable-external-ips:false
api-rate-limit:
enable-node-port:false
dnsproxy-lock-timeout:500ms
single-cluster-route:false
trace-sock:true
log-opt:
ipv6-native-routing-cidr:
kvstore:
ipv4-native-routing-cidr:
enable-hubble-recorder-api:true
enable-recorder:false
k8s-require-ipv6-pod-cidr:false
debug:false
bypass-ip-availability-upon-restore:false
debug-verbose:
label-prefix-file:
enable-k8s-terminating-endpoint:true
endpoint-queue-size:25
bpf-lb-service-backend-map-max:0
bpf-lb-dsr-l4-xlate:frontend
enable-cilium-health-api-server-access:
procfs:/host/proc
hubble-recorder-sink-queue-size:1024
ip-allocation-timeout:2m0s
enable-local-redirect-policy:false
hubble-event-queue-size:0
hubble-recorder-storage-path:/var/run/cilium/pcaps
mesh-auth-signal-backoff-duration:1s
ipam-cilium-node-update-rate:15s
proxy-prometheus-port:9964
ipv4-service-loopback-address:169.254.42.1
tofqdns-pre-cache:
derive-masquerade-ip-addr-from-device:
synchronize-k8s-nodes:true
enable-well-known-identities:false
pprof-address:localhost
k8s-service-cache-size:128
kube-proxy-replacement-healthz-bind-address:
bpf-lb-map-max:65536
http-idle-timeout:0
allow-localhost:auto
disable-iptables-feeder-rules:
enable-stale-cilium-endpoint-cleanup:true
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
hubble-monitor-events:
ipv6-service-range:auto
bpf-policy-map-max:16384
bpf-lb-rss-ipv6-src-cidr:
enable-k8s:true
bpf-ct-global-tcp-max:524288
enable-monitor:true
vtep-endpoint:
disable-cnp-status-updates:true
enable-xdp-prefilter:false
k8s-client-burst:10
trace-payloadlen:128
certificates-directory:/var/run/cilium/certs
prepend-iptables-chains:true
vtep-cidr:
identity-change-grace-period:5s
node-port-acceleration:disabled
nodes-gc-interval:5m0s
tunnel-protocol:vxlan
egress-multi-home-ip-rule-compat:false
node-port-bind-protection:true
proxy-idle-timeout-seconds:60
crd-wait-timeout:5m0s
config-dir:/tmp/cilium/config-map
bpf-lb-affinity-map-max:0
pprof-port:6060
bpf-ct-global-any-max:262144
k8s-client-qps:5
policy-trigger-interval:1s
enable-host-legacy-routing:false
agent-labels:
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
k8s-sync-timeout:3m0s
http-request-timeout:3600
ipv6-range:auto
bpf-ct-timeout-regular-tcp-syn:1m0s
bpf-ct-timeout-service-tcp-grace:1m0s
skip-cnp-status-startup-clean:false
arping-refresh-period:30s
bpf-neigh-global-max:524288
enable-custom-calls:false
state-dir:/var/run/cilium
version:false
bpf-filter-priority:1
proxy-gid:1337
enable-bpf-clock-probe:false
mesh-auth-rotated-identities-queue-size:1024
mesh-auth-mutual-listener-port:0
hubble-prefer-ipv6:false
enable-identity-mark:true
log-system-load:false
enable-host-port:false
l2-announcements-retry-period:2s
enable-ipsec:true
```


#### Cilium memory map


```
00400000-02bf8000 r-xp 00000000 00:182 5798127                           /usr/bin/cilium-agent
02bf8000-05786000 r--p 027f8000 00:182 5798127                           /usr/bin/cilium-agent
05786000-058aa000 rw-p 05386000 00:182 5798127                           /usr/bin/cilium-agent
058aa000-0603d000 rw-p 00000000 00:00 0 
c000000000-c003000000 rw-p 00000000 00:00 0 
c003000000-c004400000 rw-p 00000000 00:00 0 
c004400000-c004c00000 rw-p 00000000 00:00 0 
c004c00000-c008000000 ---p 00000000 00:00 0 
7f7146c38000-7f7146e0d000 rw-p 00000000 00:00 0 
7f7146e0d000-7f7146e4e000 rw-s 00000000 00:0e 1058                       anon_inode:[perf_event]
7f7146e4e000-7f7146e8f000 rw-s 00000000 00:0e 1058                       anon_inode:[perf_event]
7f7146e8f000-7f7146ed0000 rw-s 00000000 00:0e 1058                       anon_inode:[perf_event]
7f7146ed0000-7f7146f11000 rw-s 00000000 00:0e 1058                       anon_inode:[perf_event]
7f7146f11000-7f7146f13000 rw-s 00000000 00:0e 1058                       anon_inode:[perf_event]
7f7146f13000-7f7146f15000 rw-s 00000000 00:0e 1058                       anon_inode:[perf_event]
7f7146f15000-7f7146f17000 rw-s 00000000 00:0e 1058                       anon_inode:[perf_event]
7f7146f17000-7f7146f19000 rw-s 00000000 00:0e 1058                       anon_inode:[perf_event]
7f7146f19000-7f7149800000 rw-p 00000000 00:00 0 
7f7149800000-7f7149a00000 rw-p 00000000 00:00 0 
7f7149a00000-7f7149acb000 rw-p 00000000 00:00 0 
7f7149acb000-7f715a044000 ---p 00000000 00:00 0 
7f715a044000-7f715a045000 rw-p 00000000 00:00 0 
7f715a045000-7f716bef4000 ---p 00000000 00:00 0 
7f716bef4000-7f716bef5000 rw-p 00000000 00:00 0 
7f716bef5000-7f716e2ca000 ---p 00000000 00:00 0 
7f716e2ca000-7f716e2cb000 rw-p 00000000 00:00 0 
7f716e2cb000-7f716e744000 ---p 00000000 00:00 0 
7f716e744000-7f716e745000 rw-p 00000000 00:00 0 
7f716e745000-7f716e7c4000 ---p 00000000 00:00 0 
7f716e7c4000-7f716e824000 rw-p 00000000 00:00 0 
7ffd5b29f000-7ffd5b2c0000 rw-p 00000000 00:00 0                          [stack]
7ffd5b306000-7ffd5b30a000 r--p 00000000 00:00 0                          [vvar]
7ffd5b30a000-7ffd5b30c000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 --xp 00000000 00:00 0                  [vsyscall]

```


#### Cilium encryption


