[
  {
    "endpointSelector": {
      "matchLabels": {
        "any:kind": "client",
        "k8s:io.kubernetes.pod.namespace": "test-namespace"
      }
    },
    "egress": [
      {
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ],
            "rules": {
              "http": [
                {
                  "path": "/",
                  "method": "GET"
                }
              ]
            }
          }
        ],
        "toFQDNs": [
          {
            "matchName": "chart-testing-worker2"
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchExpressions": [
              {
                "key": "any:k8s-app",
                "operator": "In",
                "values": [
                  "kube-dns",
                  "coredns",
                  "node-local-dns",
                  "nodelocaldns"
                ]
              },
              {
                "key": "any:io.kubernetes.pod.namespace",
                "operator": "In",
                "values": [
                  "kube-system"
                ]
              }
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              },
              {
                "port": "53",
                "protocol": "TCP"
              }
            ],
            "rules": {
              "dns": [
                {
                  "matchPattern": "*"
                }
              ]
            }
          }
        ]
      },
      {
        "toEntities": [
          "world"
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              },
              {
                "port": "53",
                "protocol": "TCP"
              }
            ],
            "rules": {
              "dns": [
                {
                  "matchPattern": "*"
                }
              ]
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "client-egress-to-fqdns-chart-testing-worker2",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "test-namespace",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "c9e8f442-66e4-4f0d-9471-50a2276fcb07",
        "source": "k8s"
      }
    ]
  }
]
Revision: 120
