[
  {
    "endpointSelector": {
      "matchLabels": {
        "any:kind": "client",
        "k8s:io.kubernetes.pod.namespace": "test-namespace"
      }
    },
    "egress": [
      {
        "toEndpoints": [
          {
            "matchExpressions": [
              {
                "key": "any:k8s-app",
                "operator": "In",
                "values": [
                  "kube-dns",
                  "coredns",
                  "node-local-dns",
                  "nodelocaldns"
                ]
              },
              {
                "key": "any:io.kubernetes.pod.namespace",
                "operator": "In",
                "values": [
                  "kube-system"
                ]
              }
            ]
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              },
              {
                "port": "53",
                "protocol": "TCP"
              }
            ],
            "rules": {
              "dns": [
                {
                  "matchPattern": "*"
                }
              ]
            }
          }
        ]
      },
      {
        "toEntities": [
          "world"
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              },
              {
                "port": "53",
                "protocol": "TCP"
              }
            ],
            "rules": {
              "dns": [
                {
                  "matchPattern": "*"
                }
              ]
            }
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "client-egress-only-dns",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "test-namespace",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "5e7e38dd-b7f4-4e80-90ca-e12dabc081a7",
        "source": "k8s"
      }
    ]
  }
]
Revision: 118
